Bug 4528 - Document abstract class methods are "default" not "optional"
Document abstract class methods are "default" not "optional"
Status: RESOLVED FIXED
Product: jbatch
Classification: Unclassified
Component: source
1
All All
: P5 minor
: ---
Assigned To: cvignola
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 15:26 UTC by cvignola
Modified: 2013-01-24 22:44 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cvignola 2013-01-17 15:26:50 UTC
I was aware of the existing abstract classes but that's a good point about just the way we are thinking about it.  Updating the javadoc makes sense to follow other places in the JDK.  Thanks!


Thanks,
Michael Minella
michael@michaelminella.com
http://www.michaelminella.com



On Thu, Jan 17, 2013 at 9:14 AM, Christopher Vignola <cvignola@us.ibm.com> wrote:

There are plenty of examples of abstract classes in the JDK.   What's missing is an example of an abstract class  that explicitly states a method is optional.   What they do have is default implementations of certain methods.  So maybe the mistake we're making in the batch spec is calling these methods "optional".   Maybe what we should be saying is they are default implementations and the default implementation just happens to be a no-op. 

Chris Vignola, STSM, IBM
JSR 352 Spec Lead
WebSphere Systems Management Architect
phone: 1+(720) 396-7501
email: cvignola@us.ibm.com

http://chris.vignola.googlepages.com


Michael Minella ---01/17/2013 10:05:47 AM---I just finished reading through the new version of the spec.  I know that it was agreed upon that th

From: Michael Minella <michael@michaelminella.com>
To: public@jbatch.java.net
Date: 01/17/2013 10:05 AM
Subject: [jsr352-public] Abstract classes for optional methods precedent



--------------------------------------------------------------------------------




I just finished reading through the new version of the spec.  I know that it was agreed upon that the method for making methods optional was through no-op base classes, however I wanted to find out if there was any precedent in the JDK for this approach.  I honestly can't think of another place where methods are made optional via this technique.  My understanding is that more finely grained interfaces have been typically preferred.  

Is this something that is done elsewhere in the JDK and if so where?

Thanks,
Michael Minella
michael@michaelminella.com
http://www.michaelminella.com
Comment 1 cvignola 2013-01-24 22:44:19 UTC
fixed in proposed final draft v1.2